## Google service

Google service — Support for the Google service.

## Functions

MbimMessage * | mbim_message_google_carrier_lock_query_new ()
MbimMessage * | mbim_message_google_carrier_lock_set_new ()
gboolean | mbim_message_google_carrier_lock_response_parse ()
gboolean | mbim_message_google_carrier_lock_notification_parse ()

## Description

This section implements support for requests, responses and notifications in the Google service.

## Functions

### mbim_message_google_carrier_lock_query_new ()

    MbimMessage *
    mbim_message_google_carrier_lock_query_new
                                   (GError **error);

Create a new request for the 'Carrier Lock' query command in the 'Google' service.

#### Parameters

error | return location for error or `NULL`. |

#### Returns

a newly allocated MbimMessage, which should be freed with `mbim_message_unref()`.

Since: 1.30

### mbim_message_google_carrier_lock_set_new ()

    MbimMessage *
    mbim_message_google_carrier_lock_set_new
                                   (const guint32 data_size,
                                    const guint8 *data,
                                    GError **error);

Create a new request for the 'Carrier Lock' set command in the 'Google' service.

#### Parameters

data_size | size of the data array. | [in]
data | the 'Data' field, given as an array of guint8 values. | [in][element-type guint8][array length=data_size]
error | return location for error or `NULL`. |

#### Returns

a newly allocated MbimMessage, which should be freed with `mbim_message_unref()`.

Since: 1.30

### mbim_message_google_carrier_lock_response_parse ()

    gboolean
    mbim_message_google_carrier_lock_response_parse
                                   (const MbimMessage *message,
                                    MbimCarrierLockStatus *out_carrier_lock_status,
                                    MbimCarrierLockModemState *out_carrier_lock_modem_state,
                                    MbimCarrierLockCause *out_carrier_lock_cause,
                                    GError **error);

Parses and returns parameters of the 'Carrier Lock' response command in the 'Google' service.

#### Parameters

message | the MbimMessage. |
out_carrier_lock_status | return location for a MbimCarrierLockStatus, or `NULL` if the 'CarrierLockStatus' field is not needed. | [out][optional][transfer none]
out_carrier_lock_modem_state | return location for a MbimCarrierLockModemState, or `NULL` if the 'CarrierLockModemState' field is not needed. | [out][optional][transfer none]
out_carrier_lock_cause | return location for a MbimCarrierLockCause, or `NULL` if the 'CarrierLockCause' field is not needed. | [out][optional][transfer none]
error | return location for error or `NULL`. |

#### Returns

`TRUE` if the message was correctly parsed, `FALSE` if `error` is set.

Since: 1.30

### mbim_message_google_carrier_lock_notification_parse ()

    gboolean
    mbim_message_google_carrier_lock_notification_parse
                                   (const MbimMessage *message,
                                    MbimCarrierLockStatus *out_carrier_lock_status,
                                    MbimCarrierLockModemState *out_carrier_lock_modem_state,
                                    MbimCarrierLockCause *out_carrier_lock_cause,
                                    GError **error);

Parses and returns parameters of the 'Carrier Lock' notification command in the 'Google' service.

#### Parameters

message | the MbimMessage. |
out_carrier_lock_status | return location for a MbimCarrierLockStatus, or `NULL` if the 'CarrierLockStatus' field is not needed. | [out][optional][transfer none]
out_carrier_lock_modem_state | return location for a MbimCarrierLockModemState, or `NULL` if the 'CarrierLockModemState' field is not needed. | [out][optional][transfer none]
out_carrier_lock_cause | return location for a MbimCarrierLockCause, or `NULL` if the 'CarrierLockCause' field is not needed. | [out][optional][transfer none]
error | return location for error or `NULL`. |

#### Returns

`TRUE` if the message was correctly parsed, `FALSE` if `error` is set.

Since: 1.30